LocalizedMatcher
Date: 2015-09-18

org.mockito.internal.matchers

## Class LocalizedMatcher

- java.lang.Object
- - org.mockito.internal.matchers.LocalizedMatcher

- All Implemented Interfaces:
    java.io.Serializable, org.hamcrest.Matcher, org.hamcrest.SelfDescribing, CapturesArguments, ContainsExtraTypeInformation, MatcherDecorator

      public class LocalizedMatcher
      extends java.lang.Object
      implements org.hamcrest.Matcher, ContainsExtraTypeInformation, CapturesArguments, MatcherDecorator, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalizedMatcher(org.hamcrest.Matcher actualMatcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_dont_implement_Matcher___instead_extend_BaseMatcher_()`
    `void` | `captureFrom(java.lang.Object argument)`
    `void` | `describeMismatch(java.lang.Object item, org.hamcrest.Description description)`
    `void` | `describeTo(org.hamcrest.Description description)`
    `org.hamcrest.Matcher` | `getActualMatcher()`
    `Location` | `getLocation()`
    `boolean` | `matches(java.lang.Object item)`
    `java.lang.String` | `toString()`
    `boolean` | `typeMatches(java.lang.Object object)`
    `org.hamcrest.SelfDescribing` | `withExtraTypeInfo()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalizedMatcher

          public LocalizedMatcher(org.hamcrest.Matcher actualMatcher)

  - ### Method Detail

    - #### _dont_implement_Matcher___instead_extend_BaseMatcher_

          public void _dont_implement_Matcher___instead_extend_BaseMatcher_()

      Specified by:
        `_dont_implement_Matcher___instead_extend_BaseMatcher_` in interface `org.hamcrest.Matcher`

    - #### matches

          public boolean matches(java.lang.Object item)

      Specified by:
        `matches` in interface `org.hamcrest.Matcher`

    - #### describeTo

          public void describeTo(org.hamcrest.Description description)

      Specified by:
        `describeTo` in interface `org.hamcrest.SelfDescribing`

    - #### describeMismatch

          public void describeMismatch(java.lang.Object item,
                              org.hamcrest.Description description)

      Specified by:
        `describeMismatch` in interface `org.hamcrest.Matcher`

    - #### getLocation

          public Location getLocation()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### withExtraTypeInfo

          public org.hamcrest.SelfDescribing withExtraTypeInfo()

      Specified by:
        `withExtraTypeInfo` in interface `ContainsExtraTypeInformation`

    - #### typeMatches

          public boolean typeMatches(java.lang.Object object)

      Specified by:
        `typeMatches` in interface `ContainsExtraTypeInformation`

    - #### captureFrom

          public void captureFrom(java.lang.Object argument)

      Specified by:
        `captureFrom` in interface `CapturesArguments`

    - #### getActualMatcher

          public org.hamcrest.Matcher getActualMatcher()

      Specified by:
        `getActualMatcher` in interface `MatcherDecorator`